com.google.cloud.dataflow.examples.cookbook

## Class CombinePerKeyExamples.ConcatWords

- java.lang.Object
- - com.google.cloud.dataflow.examples.cookbook.CombinePerKeyExamples.ConcatWords

All Implemented Interfaces:
  SerializableFunction<Iterable<String>,String>, Serializable

Enclosing class:
  CombinePerKeyExamples

    public static class CombinePerKeyExamples.ConcatWords
    extends Object
    implements SerializableFunction<Iterable<String>,String>

A 'combine function' used with the Combine.perKey transform. Builds a comma-separated string of all input items. So, it will build a string containing all the different Shakespeare plays in which the given input word has appeared.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConcatWords()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `apply(Iterable<String> input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcatWords

    public ConcatWords()

### Method Detail

#### apply

    public String apply(Iterable<String> input)

Specified by:
  `apply` in interface `SerializableFunction<Iterable<String>,String>`